Show / Hide Table of Contents

# Class TelemetryEventNames

List of telemetry events

##### Inheritance

System.Object
TelemetryEventNames

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public static class TelemetryEventNames

### Fields

| Improve this Doc View Source

#### IntellisenseQuantile

telemetry event name for auto complete response time

##### Declaration

    public const string IntellisenseQuantile = "IntellisenseQuantile"

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PeekDefinitionRequested

telemetry even name for when definition is requested

##### Declaration

    public const string PeekDefinitionRequested = "PeekDefinitionRequested"

##### Field Value

Type | Description
--- | ---
System.String |